### File

`packages/components/shared/base/base-states.directive.ts`

### Metadata

Selector | `[euiBase]`

### Index

###### Methods
getCssClasses
###### Inputs
euiBranding euiClearable euiCompact euiDanger euiDisabled euiEnd euiHighlighted euiInfo euiInverse euiInverted euiLoading euiOutline euiPrimary euiResponsive euiRounded euiSecondary euiSecondaryLight euiSize2XL euiSize2XS euiSize3XL euiSize4XL euiSize5XL euiSize6XL euiSizeAuto euiSizeL euiSizeM euiSizeS euiSizeVariant euiSizeXL euiSizeXS euiStart euiSuccess euiVariant euiWarning
###### HostBindings
attr.aria-disabled
###### Accessors
ariaDisabled euiPrimary euiBranding euiSecondary euiSecondaryLight euiInfo euiSuccess euiWarning euiDanger euiInverse euiVariant euiSize2XS euiSizeXS euiSizeS euiSizeM euiSizeL euiSizeXL euiSize2XL euiSize3XL euiSize4XL euiSize5XL euiSize6XL euiSizeAuto euiSizeVariant

### Inputs

euiBranding
Type : `boolean`

euiClearable
Type : `boolean`
Default value : `false`

euiCompact
Type : `boolean`
Default value : `false`

euiDanger
Type : `boolean`

euiDisabled
Type : `boolean`
Default value : `false`

euiEnd
Type : `boolean`
Default value : `false`

euiHighlighted
Type : `boolean`
Default value : `false`

euiInfo
Type : `boolean`

euiInverse
Type : `boolean`

euiInverted
Type : `boolean`
Default value : `false`

euiLoading
Type : `boolean`
Default value : `false`

euiOutline
Type : `boolean`
Default value : `false`

euiPrimary
Type : `boolean`

euiResponsive
Type : `boolean`
Default value : `false`

euiRounded
Type : `boolean`
Default value : `false`

euiSecondary
Type : `boolean`

euiSecondaryLight
Type : `boolean`

euiSize2XL
Type : `boolean`

euiSize2XS
Type : `boolean`

euiSize3XL
Type : `boolean`

euiSize4XL
Type : `boolean`

euiSize5XL
Type : `boolean`

euiSize6XL
Type : `boolean`

euiSizeAuto
Type : `boolean`

euiSizeL
Type : `boolean`

euiSizeM
Type : `boolean`

euiSizeS
Type : `boolean`

euiSizeVariant
Type : `string`

euiSizeXL
Type : `boolean`

euiSizeXS
Type : `boolean`

euiStart
Type : `boolean`
Default value : `false`

euiSuccess
Type : `boolean`

euiVariant
Type : `string`

euiWarning
Type : `boolean`

### HostBindings

attr.aria-disabled
Type : `boolean`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

ariaDisabled
get `ariaDisabled()`

euiPrimary
get `euiPrimary()`
set `euiPrimary(value: BooleanInput)`
Parameters :
Name | Type | Optional
value | `BooleanInput` | No
Returns : `void`

euiBranding
get `euiBranding()`
set `euiBranding(value: BooleanInput)`
Parameters :
Name | Type | Optional
value | `BooleanInput` | No
Returns : `void`

euiSecondary
get `euiSecondary()`
set `euiSecondary(value: BooleanInput)`
Parameters :
Name | Type | Optional
value | `BooleanInput` | No
Returns : `void`

euiSecondaryLight
get `euiSecondaryLight()`
set `euiSecondaryLight(value: BooleanInput)`
Parameters :
Name | Type | Optional
value | `BooleanInput` | No
Returns : `void`

euiInfo
get `euiInfo()`
set `euiInfo(value: BooleanInput)`
Parameters :
Name | Type | Optional
value | `BooleanInput` | No
Returns : `void`

euiSuccess
get `euiSuccess()`
set `euiSuccess(value: BooleanInput)`
Parameters :
Name | Type | Optional
value | `BooleanInput` | No
Returns : `void`

euiWarning
get `euiWarning()`
set `euiWarning(value: BooleanInput)`
Parameters :
Name | Type | Optional
value | `BooleanInput` | No
Returns : `void`

euiDanger
get `euiDanger()`
set `euiDanger(value: BooleanInput)`
Parameters :
Name | Type | Optional
value | `BooleanInput` | No
Returns : `void`

euiInverse
get `euiInverse()`
set `euiInverse(value: BooleanInput)`
Parameters :
Name | Type | Optional
value | `BooleanInput` | No
Returns : `void`

euiVariant
get `euiVariant()`
set `euiVariant(value: string)`
Parameters :
Name | Type | Optional
value | `string` | No
Returns : `void`

euiSize2XS
get `euiSize2XS()`
set `euiSize2XS(value: BooleanInput)`
Parameters :
Name | Type | Optional
value | `BooleanInput` | No
Returns : `void`

euiSizeXS
get `euiSizeXS()`
set `euiSizeXS(value: BooleanInput)`
Parameters :
Name | Type | Optional
value | `BooleanInput` | No
Returns : `void`

euiSizeS
get `euiSizeS()`
set `euiSizeS(value: BooleanInput)`
Parameters :
Name | Type | Optional
value | `BooleanInput` | No
Returns : `void`

euiSizeM
get `euiSizeM()`
set `euiSizeM(value: BooleanInput)`
Parameters :
Name | Type | Optional
value | `BooleanInput` | No
Returns : `void`

euiSizeL
get `euiSizeL()`
set `euiSizeL(value: BooleanInput)`
Parameters :
Name | Type | Optional
value | `BooleanInput` | No
Returns : `void`

euiSizeXL
get `euiSizeXL()`
set `euiSizeXL(value: BooleanInput)`
Parameters :
Name | Type | Optional
value | `BooleanInput` | No
Returns : `void`

euiSize2XL
get `euiSize2XL()`
set `euiSize2XL(value: BooleanInput)`
Parameters :
Name | Type | Optional
value | `BooleanInput` | No
Returns : `void`

euiSize3XL
get `euiSize3XL()`
set `euiSize3XL(value: BooleanInput)`
Parameters :
Name | Type | Optional
value | `BooleanInput` | No
Returns : `void`

euiSize4XL
get `euiSize4XL()`
set `euiSize4XL(value: BooleanInput)`
Parameters :
Name | Type | Optional
value | `BooleanInput` | No
Returns : `void`

euiSize5XL
get `euiSize5XL()`
set `euiSize5XL(value: BooleanInput)`
Parameters :
Name | Type | Optional
value | `BooleanInput` | No
Returns : `void`

euiSize6XL
get `euiSize6XL()`
set `euiSize6XL(value: BooleanInput)`
Parameters :
Name | Type | Optional
value | `BooleanInput` | No
Returns : `void`

euiSizeAuto
get `euiSizeAuto()`
set `euiSizeAuto(value: BooleanInput)`
Parameters :
Name | Type | Optional
value | `BooleanInput` | No
Returns : `void`

euiSizeVariant
get `euiSizeVariant()`
set `euiSizeVariant(value: string)`
Parameters :
Name | Type | Optional
value | `string` | No
Returns : `void`

# results matching ""

# No results matching ""